Summary: WWW server logfile analysis program
Name: analog
Version: 4.16
Release: 1C3
Source: http://www.analog.cx/analog-%{version}.tar.gz
Source1: analog.log
Patch0: analog-%{version}.patch
Patch1: analog-%{version}-htmlform.patch
Patch2: analog-%{version}-perlform.patch
Patch3: analog-%{version}-cfg.patch
patch4: analog-%{version}-Makefile.patch
Patch5: analog-%{version}-imageloc.patch
Patch6: analog.cfg.cobalt.patch
Patch7: output2.c.cobalt.patch
Patch8: alias.c.cobalt.patch
Copyright: distributable
Group: Applications/System
URL: http://www.analog.cx/
BuildRoot: /var/tmp/analog-root

%description
WWW server logfile analysis program with lots of features.  Check the
home page at http://www.analog.cx for more information.  You should
edit the /etc/analog.cfg and customizer it for your webserver with the
HOSTNAME and HOSTURL options.  Perl is required for the html forms
interface.  Apache is suggested as the default web server.

%package form 
Requires: analog webserver 
Summary: Form interface to analog 
Group: Utilities

%description form 
Form interface to the analog httpd log analysis program.  You should 
regenerate the form file to customize it for your server by running 
'analog -form +O /home/httpd/html/analogform.html' after you have 
modified /etc/analog.cfg.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 
%patch5 -p1 
%patch6 -p1 
%patch7 -p1 
%patch8 -p1 

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{/etc,/home/httpd/{html/analogimages,cgi-bin},/var/lib/analog/lang}
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin \
	$RPM_BUILD_ROOT/etc/logrotate.d \
	$RPM_BUILD_ROOT/var/cache

install -m755 analog $RPM_BUILD_ROOT/usr/local/sbin/
install -m 644 $RPM_SOURCE_DIR/analog.log $RPM_BUILD_ROOT/etc/logrotate.d/analog
install -m644 analog.cfg $RPM_BUILD_ROOT/etc
install -m555 anlgform.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -m644 anlgform.html $RPM_BUILD_ROOT/home/httpd/html

cp -p images/* $RPM_BUILD_ROOT/home/httpd/html/analogimages
cp -p lang/* $RPM_BUILD_ROOT/var/lib/analog/lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Licence.txt README.txt docs/ examples/
%config /etc/analog.cfg
%config /etc/logrotate.d/analog
/usr/local/sbin/analog
/home/httpd/html/analogimages
/var/lib/analog
/var/cache

%files form 
%defattr(-,root,root)
%config /home/httpd/html/anlgform.html 
/home/httpd/cgi-bin/anlgform.pl

%changelog
* Thu Apr 26 2001 Dennis Tiu <dennis.tiu@sun.com>
- Added alias.c.cobalt.patch to stop analog from converting "\"
-   to "/" for 5C Japanese characters.

* Wed Apr 04 2001 Dennis Tiu <dennis.tiu@sun.com>
- Added a logrotate entry for /var/cache/analog.dns

* Tue Feb 27 2001 Dennis Tiu <dennis.tiu@sun.com>
- changed location of analog bin to /usr/local/sbin
- changed analog lib to /var/lib/analog
- prepped patch for /etc/analog.cfg to work with Cobalt
- patched output2.c to be backwards compatible with 3.11 report lines

* Fri Feb 23 2001 Tim Powers <timp@redhat.com>
- built for Secure Web Server 2.0

* Tue Feb 13 2001 Tim Powers <timp@redhat.com>
- updated to 4.16, security release (bug #27462 )

* Fri Jan 19 2001 Tim Powers <timp@redhat.com>
- fixed bug 23603 (I think)

* Tue Jan  9 2001 Tim Powers <timp@redhat.com>
- changed the images dir to analogimages as per bug #23603

* Fri Dec  8 2000 Tim Powers <timp@redhat.com>
- patched Makefile to use RPM_OPT_FLAGS when building.
- quiet setup
- changed group
- changed /var/analog-* to /var/lib/analog, it's a bit cleaner
- changed the default httpd dir to be FHS compliant (not in /home)
- added defattr in files section
- cleaned up install section

* Fri Aug 25 2000 Jackie Meese <jmeese@vt.edu>
- changed analog.cfg file to use full path of gzip

* Thu Jun 7 2000 Jackie Meese <jmeese@vt.edu>
- changed to bzip2 format, cutting 150k off SRPM size
- fixed error in html form to conform to RPM installation defaults

* Fri Jun 2 2000 Jackie Meese <jmeese@vt.edu>
- added examples to the docs directory

* Tue Apr 5 2000 Jackie Meese <jmeese@vt.edu>
- moved images to /home/httpd/html/images so no reconfiguration of
- httpd.conf required with apache rpms

* Tue Apr 4 2000 Jackie Meese <jmeese@vt.edu>
- fixed error in /var/analog directory

* Fri Dec 31 1999 Jackie Meese <jmeese@vt.edu>
- removed apache requirement
- no webserver requirement added either since not all web servers remember
- to use a Provides: tag when built

